[prev in list] [next in list] [prev in thread] [next in thread] 

List:       kde-commits
Subject:    [gcompris/KDE/0.60] tools: tools, improved source build script
From:       Bruno Coudoin <bruno.coudoin () gcompris ! net>
Date:       2016-08-07 13:38:17
Message-ID: E1bWOHR-00062U-KS () code ! kde ! org
[Download RAW message or body]

Git commit cb28872a13a3da9bf688ebfb8d5ffcdbdf8c1ab7 by Bruno Coudoin.
Committed on 07/08/2016 at 13:37.
Pushed by bcoudoin into branch 'KDE/0.60'.

tools, improved source build script

no more use git alias
delete created temp branch
small other fixes.

M  +11   -2    tools/source_build_dist.sh

http://commits.kde.org/gcompris/cb28872a13a3da9bf688ebfb8d5ffcdbdf8c1ab7

diff --git a/tools/source_build_dist.sh b/tools/source_build_dist.sh
index afecf59..ce836b9 100755
--- a/tools/source_build_dist.sh
+++ b/tools/source_build_dist.sh
@@ -4,14 +4,23 @@
 # create the tarball
 #
 
+if [ ! -f gcompris.appdata.xml ]
+then
+    echo "ERROR: Run me from the top level GCompris source dir"
+    exit 1
+fi
+
 # The current version
 version=$(sed -n -e 's/set(GCOMPRIS_MINOR_VERSION \([0-9]\+\)).*/\1/p' CMakeLists.txt)
 
 # Uncomment if this is not already done
-git co -b 0.${version}-po
+git checkout -b 0.${version}-po
 mkdir -p build
 cd build
+cmake ..
 make getSvnTranslations
 git add -f ../po
-git ci -a -m "PO INTEGRATED / DO NOT PUSH ME"
+git commit -a -m "PO INTEGRATED / DO NOT PUSH ME"
 make dist
+git checkout 0.${version}
+git branch -D 0.${version}-po
[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic